Skip to content

Pay Sanction / Pagar Sancion

PUT
/external/sancion-pagar/{sancion_id}
curl --request PUT \
--url https://api-dev.zonaparqueo.com/external/sancion-pagar/1 \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "pago_tipo": 1, "pago_codigo": "example", "cliente_id": 1 }'

Records payment of a sanction.

Required order: call PUT /external/sancion-cerrar/{sancion_id} first. An open sanction cannot be paid.

sancion_id
required
integer

Sanction identifier

Media typeapplication/json
object
pago_tipo
required

Payment type assigned by administrator

integer
pago_codigo
required

Unique transaction code

string
cliente_id

Identifier of the paying client (optional)

integer
Examplegenerated
{
"pago_tipo": 1,
"pago_codigo": "example",
"cliente_id": 1
}

Payment recorded successfully

Media typeapplication/json
object
estado
string
Allowed values: ok
data

Response data

object
Example
{
"estado": "ok"
}

Payment error (e.g. the sanction is not closed)

Media typeapplication/json
object
estado
string
Allowed values: fail
error

Error message

string
errores

Field-specific error details

object
Example
{
"estado": "fail"
}